Subject: Receipts for new mailbox
From: "Michael B" <[email-masked]>
To: <[email-masked]>
Date: Mon, 10 Jun 2013 12:06:38 -0400

Hello Penni.
My mailbox has been replaced and looks as though, (I think Jeff), did a good job.  I ended up with 2 receipts as I forgot to get the address numbers when I picked up the mailbox.  Let me know if you can not read the attachment well and/or if you need me to send another copy.  If you have any questions you can contact me on my cell at 517-775-4916.
Thank you,
Michael Bishop
8607 Carlsbad Lane
Lansing, MI 48917